FileConvert (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.io.FileConvert class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class FileConvert

    java.lang.Object
      org.biojava.bio.structure.io.FileConvert

    public class FileConvert

extends Object

Methods to convert a structure object into different file formats.

Since:
  1.4
Author:
  Andreas Prlic

Constructor Summary
`FileConvert(Structure struc)` Constructs a FileConvert object.

Method Summary
`boolean` | `doPrintConnections()` returns if the Connections should be added default is true;
`void` | `setPrintConnections(boolean printConnections)` enable/disable printing of connections connections are sometimes buggy in PDB files so there are some cases where one might turn this off.
`void` | `toDASStructure(XMLWriter xw)` convert a protein Structure to a DAS Structure XML response .
`String` | `toPDB()` Convert a structure into a PDB file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileConvert

    public FileConvert(Structure struc)

  Constructs a FileConvert object.

  Parameters:
    `struc` - a Structure object

Method Detail

### doPrintConnections

    public boolean doPrintConnections()

  returns if the Connections should be added default is true;

  Returns:
    if the printConnections flag is set

### setPrintConnections

    public void setPrintConnections(boolean printConnections)

  enable/disable printing of connections connections are sometimes buggy in PDB files so there are some cases where one might turn this off.

  Parameters:
    `printConnections` -

### toPDB

    public String toPDB()

  Convert a structure into a PDB file.

  Returns:
    a String representing a PDB file.

### toDASStructure

    public void toDASStructure(XMLWriter xw)
                        throws IOException

  convert a protein Structure to a DAS Structure XML response .

  Parameters:
    `xw` - a XMLWriter object
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD